Summarize what the caller may do
curl --request GET \
--url https://api.ravion.com/authorization/me/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/authorization/me/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/authorization/me/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"enforcing": true,
"permissions": [
{
"access": "all",
"action": "<string>",
"type": "<string>"
}
],
"revision": 123
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Authorization
Summarize what the caller may do
For every action in the authorization catalog, whether the caller may perform it on all resources of the type, on some of them, or on none.
GET
/
authorization
/
me
/
permissions
Summarize what the caller may do
Response
The request has succeeded.
What the caller may do, for every action in the authorization catalog.
Show child attributes
Show child attributes
Was this page helpful?